//---------------------------------------------------------------------------
#ifndef SMarkeeH
#define SMarkeeH
//---------------------------------------------------------------------------
#include <vcl\SysUtils.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Forms.hpp>
//---------------------------------------------------------------------------
class TSMarkee : public TCustomControl
{
private:
    AnsiString FText;
    void __fastcall SetText(AnsiString Value);
    int FScrollDelay;
    bool FScroll;
    void __fastcall SetScroll(bool Value);
    bool FFlash;
    void __fastcall SetFlash(bool Value);
    int FFlashTimeOn;
    int FFlashTimeOff;
    bool FPower;
    void __fastcall SetPower(bool Value);
    TFont *FFont;
    void __fastcall SetFont(TFont *Value);
    Graphics::TBitmap *FBitmap;
    void __fastcall SetBitmap(Graphics::TBitmap *Value);
    bool FShowBitmap;
    void __fastcall SetShowBitmap(bool Value);
    bool FShowFrame;
    void __fastcall SetShowFrame(bool Value);
    int FIndex;
    void __fastcall Paint();
    void __fastcall Loaded(void);
    MESSAGE void __fastcall OnTimer(Messages::TWMTimer &Message);
	void __fastcall ScrollText(TRect Rect);
	void __fastcall FlashText(TRect Rect);
protected:
public:
	__fastcall TSMarkee(TComponent* Owner);
    __fastcall ~TSMarkee();
__published:
    __property AnsiString Text = {read=FText, write=SetText};
    __property int ScrollDelay = {read=FScrollDelay, write=FScrollDelay, default=100};
	__property bool Scroll = {read=FScroll, write=SetScroll, default=false};
	__property bool Flash = {read=FFlash, write=SetFlash, default=false};
	__property int FlashTimeOn = {read=FFlashTimeOn, write=FFlashTimeOn, default=500};
	__property int FlashTimeOff = {read=FFlashTimeOff, write=FFlashTimeOff, default=100};
	__property bool Power = {read=FPower, write=SetPower, default=false};
    __property TFont *Font = {read=FFont, write=SetFont};
    __property bool ShowFrame = {read=FShowFrame, write=SetShowFrame, default=true};
    __property bool ShowBitmap = {read=FShowBitmap, write=SetShowBitmap, default=false};
    __property Graphics::TBitmap *Bitmap = {read=FBitmap, write=SetBitmap};
    __property OnClick;

BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(WM_TIMER, Messages::TWMTimer, OnTimer);
END_MESSAGE_MAP(TCustomControl);
};
//---------------------------------------------------------------------------
#endif
